# Uses of Class
org.apache.lucene.spatial3d.geom.ArcDistance

Packages that use ArcDistance
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of ArcDistance in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as ArcDistance
  Modifier and Type
  Field
  Description
  `static final ArcDistance`
  DistanceStyle.`ARC`
  Arc distance calculator
  `static final ArcDistance`
  ArcDistance.`INSTANCE`
  An instance of the ArcDistance DistanceStyle.